Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 220009 - Option for wrapping in switch statements
Option for wrapping in switch statements
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Formatting & Indentation
7.2
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 13:46 UTC by kazocsaba
Modified: 2013-04-18 02:21 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kazocsaba 2012-10-12 13:46:51 UTC
I would like an option to disable wrapping of case blocks in switch statements so that the formatter will not insert line breaks in the following code:

switch (code) {
  case 200: return "OK";
  case 404: return "Not found";
  default: return Integer.toString(code);
}
Comment 1 Dusan Balek 2013-04-17 06:38:56 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/d9d611f48a0b
Comment 2 Quality Engineering 2013-04-18 02:21:59 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d9d611f48a0b
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #220009: Option for wrapping in switch statements - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo